#include "zplugin.h"

long (*ZNewTimer)(void (*proc)(long), long refcon);
void (*ZKillTimer)(long id);
void (*ZSetTimer)(long id, long period, long mode);
long (*ZRegister)(char *name);
void (*ZUnregister)(long id);
void (*ZUpdate)(long id, char *status);

OSErr main(void *(*resolver)(const char *entryName)) {
	ZNewTimer = (long (*)(void (*)(long), long)) resolver("ZNewTimer");
	ZKillTimer = (void (*)(long)) resolver("ZKillTimer");
	ZSetTimer = (void (*)(long, long, long)) resolver("ZSetTimer");
	ZRegister = (long (*)(char *)) resolver("ZRegister");
	ZUnregister = (void (*)(long)) resolver("ZUnregister");
	ZUpdate = (void (*)(long, char *)) resolver("ZUpdate");
	
	return ZPluginMain();
}