// WinHeader.h
//
// This file declares macros and functions needed for Win32 compilation
// of plugins using the REALbasic Plugin SDK.  This file should be
// set as the prefix file for your Windows (x86) target.  In addition,
// you'll need to add the "Win32-x86 Support" folder to the system
// access paths.
//
//  1997-2000 REAL Software Inc. -- All Rights Reserved
//
// Document Scope: Win32 Plugins
// Document Author: ?
// Document Contributor(s): G. Cortis Clark (GCC)
//
// Revision History:
//	Oct 20 2000 -- GCC (1) Fixed a problem which was caused by removing RB versions
//						   of some common Mac functions.  We can't rely on QuickTime
//						   versions, since they aren't compatible and insufficient. 

#ifndef WINHEADER_H
#define WINHEADER_H

#include <Win32Headers.mch>

namespace QT {				// Oct 20 2000 -- GCC (1)
	#include <QTML.h>
	#include <Movies.h>
}							// Oct 20 2000 -- GCC (1)

// Oct 20 2000 -- GCC (1) -- Start

typedef unsigned char Boolean;
typedef char *Ptr;
struct Rect
{
	short top, left, bottom, right;
};

struct Point
{
	short v, h;
};

#undef nil
#define nil 0

#ifndef true
	#define true 1
	#define false 0
#endif
//const Boolean false = 0;
//const Boolean true = 1;
long TickCount(void);
Boolean PtInRect(const Point &pt, Rect *rBounds);
Boolean SectRect(Rect *rect1, Rect *rect2, Rect *resultRect);
Ptr NewPtr(int len);
void DisposePtr(Ptr p);

// Oct 20 2000 -- GCC (1) -- End

#endif

