/*
 * QuitHandler.h
 *
 * Shows how to cleanup when your app unexpectedly quits
 *
 * By Thomas Tempelmann (macdev@tempel.org), 4 Jan 2001
 */

#include <MacTypes.h>

typedef void (*QuitProcPtr) (void);

#if TARGET_OS_MAC and not TARGET_CARBON

void InstallQuitHandler (QuitProcPtr callAtQuit);

#endif

// EOF
